package org.holer.server.db;

import java.util.List;
import org.holer.server.model.HolerClient;
import org.springframework.data.jpa.repository.JpaRepository;

public interface DBClientService extends JpaRepository<HolerClient, Long> {

  HolerClient findByAccessKey(String paramString);
  
  List<HolerClient> findByName(String paramString);
  
  Long countAllByStatus(Integer paramInteger);
  
  Long countAllByEnabled(Boolean paramBoolean);
}
